<p>
  This section shows studies related to COVID-19 containing host sequences sequenced in Spain and archived in the European Genome-Phenome Archive (EGA).
<br />
  Note that each study can include more than one dataset.
<br />
<br />
These results are periodically manually retrieved from EGA.
</p>
<p class="text-right">
  Powered by <a href="https://ega-archive.org/"><img src="{{ .Site.Params.images.logos.ega }}" alt="EGA" style="max-height: 3rem;"></a>
</p>

<div>
  <h4>EGA studies with Spanish partners</h4>
</div>

<div class="container-fluid">
  <div class="row mb-2" id="spain-host-actions">
  </div>
</div>
<a id="spain-download-button" class="btn btn-primary d-inline-block" target="_blank" href="/files/c19dpes_genomics_host_sequences.csv">
  {{ i18n "download_csv" }}
</a>
<table class="table table-hover table-sm table-responsive" id="spain-host-sequences-table" style="display: table">
  <thead class="thead-light">
    <tr>
      <th scope="col" class="col-md-2">{{ i18n "ega_study_accession_id" }}</th>
      <th scope="col" class="col-md-10">{{ i18n "ega_study_title" }}</th>
    </tr>
  </thead>
  <tbody>
    {{ range $index, $entry := (where $.Site.Data.c19dpes_genomics_host_sequences.ega_studies "submitter_country" "Spain") }}
    <tr>
      <td class="col-md-2"><a target="_blank" href='{{print "https://ega-archive.org/studies/" .study_accession}}'>{{ .study_accession }}</a></td>
      <td class="col-md-10">
        {{ .study_title }}
        {{ if .datasets }}
          <br/>
          <a class="badge badge-primary dp-background-color--primary" data-toggle="collapse" href="#spain-datasets{{ $index }}" role="button" aria-expanded="false" aria-controls="datasets{{ $index }}">
            {{ len .datasets }} {{ i18n "datasets" (len .datasets)}} <i class="bi bi-caret-down-fill"></i>
          </a>
          <div class="collapse" id="spain-datasets{{ $index }}">
            <div class="card card-body">
              <table class="table table-hover table-sm">
                <thead>
                  <th class="col-md-3">{{ i18n "accession_id" }}</th>
                  <th class="col-md-9">{{ i18n "title" }}</th>
                </thead>
                <tbody>
                {{ range $ds := .datasets}}
                  <tr>
                    <td class="col-md-3">
                      <a href='{{print "https://ega-archive.org/datasets/" .dataset_accession}}'>{{ .dataset_accession }}</a>
                    </td>
                    <td class="col-md-9">
                      {{ .dataset_title }}
                    </td>
                  </tr>
                {{ end }}
                </tbody>
              </table>
            </div>
          </div>

          {{ if .publications}}
          <a class="badge badge-success dp-background-color--success ml-3" data-toggle="collapse" href="#spain-publications{{ $index }}" role="button" aria-expanded="false" aria-controls="publications{{ $index }}">
            {{ len .publications }} {{ i18n "publication" (len .publications)}} <i class="bi bi-caret-down-fill"></i>
          </a>
          <div class="collapse" id="spain-publications{{ $index }}">
            <div class="card card-body">
              <table class="table table-hover table-sm">
                <thead>
                  <th class="col-md-3">{{ i18n "pubmed_id" }}</th>
                  <th class="col-md-9">{{ i18n "title" }}</th>
                </thead>
                <tbody>
                {{ range $p := .publications}}
                  <tr>
                    <td class="col-md-3">
                      <a href='{{print "https://pubmed.ncbi.nlm.nih.gov/" .pubmed_id}}'>{{ .pubmed_id }}</a>
                    </td>
                    <td class="col-md-9">
                      {{ .article_title }}
                    </td>
                  </tr>
                {{ end }}
                </tbody>
              </table>
            </div>
          </div>
          {{ end }}

        {{ end }}
      </td>
    </tr>
    {{ end }}
  </tbody>
</table>

<div class="text-right">
  <a class="btn btn-primary mt-3" data-toggle="collapse" href="#other-studies" role="button" aria-expanded="false" aria-controls="other-studies">
    Show more studies
  </a>
</div>
<div class="collapse mt-5" id="other-studies">
  <div>
    <h4>Other EGA Studies</h4>
  </div>
  <div class="container-fluid">
    <div class="row mb-2" id="host-actions">
    </div>
  </div>
  <a id="downloadButton" class="btn btn-primary d-inline-block" target="_blank" href="/files/c19dpes_genomics_host_sequences.csv">
    {{ i18n "download_csv" }}
  </a>
  <table class="table table-hover table-sm table-responsive" id="host-sequences-table" style="display: table">
    <thead class="thead-light">
      <tr>
        <th scope="col" class="col-md-2">{{ i18n "ega_study_accession_id" }}</th>
        <th scope="col" class="col-md-10">{{ i18n "ega_study_title" }}</th>
      </tr>
    </thead>
    <tbody>
      {{ range $index, $entry := (where $.Site.Data.c19dpes_genomics_host_sequences.ega_studies "submitter_country" "!=" "Spain") }}
      <tr>
        <td class="col-md-2"><a target="_blank" href='{{print "https://ega-archive.org/studies/" .study_accession}}'>{{ .study_accession }}</a></td>
        <td class="col-md-10">
          {{ .study_title }}
          {{ if .datasets }}
            <br/>
            <a class="badge badge-primary dp-background-color--primary" data-toggle="collapse" href="#datasets{{ $index }}" role="button" aria-expanded="false" aria-controls="datasets{{ $index }}">
              {{ len .datasets }} {{ i18n "datasets" (len .datasets)}} <i class="bi bi-caret-down-fill"></i>
            </a>
            <div class="collapse" id="datasets{{ $index }}">
              <div class="card card-body">
                <table class="table table-hover table-sm">
                  <thead>
                    <th class="col-md-3">{{ i18n "accession_id" }}</th>
                    <th class="col-md-9">{{ i18n "title" }}</th>
                  </thead>
                  <tbody>
                  {{ range $ds := .datasets}}
                    <tr>
                      <td class="col-md-3">
                        <a href='{{print "https://ega-archive.org/datasets/" .dataset_accession}}'>{{ .dataset_accession }}</a>
                      </td>
                      <td class="col-md-9">
                        {{ .dataset_title }}
                      </td>
                    </tr>
                  {{ end }}
                  </tbody>
                </table>
              </div>
            </div>

            {{ if .publications}}
            <a class="badge badge-success dp-background-color--success ml-3" data-toggle="collapse" href="#publications{{ $index }}" role="button" aria-expanded="false" aria-controls="publications{{ $index }}">
              {{ len .publications }} {{ i18n "publication" (len .publications)}} <i class="bi bi-caret-down-fill"></i>
            </a>
            <div class="collapse" id="publications{{ $index }}">
              <div class="card card-body">
                <table class="table table-hover table-sm">
                  <thead>
                    <th class="col-md-3">{{ i18n "pubmed_id" }}</th>
                    <th class="col-md-9">{{ i18n "title" }}</th>
                  </thead>
                  <tbody>
                  {{ range $p := .publications}}
                    <tr>
                      <td class="col-md-3">
                        <a href='{{print "https://pubmed.ncbi.nlm.nih.gov/" .pubmed_id}}'>{{ .pubmed_id }}</a>
                      </td>
                      <td class="col-md-9">
                        {{ .article_title }}
                      </td>
                    </tr>
                  {{ end }}
                  </tbody>
                </table>
              </div>
            </div>
            {{ end }}

          {{ end }}
        </td>
      </tr>
      {{ end }}
    </tbody>
  </table>
</div>


<script>
  $(document).ready(() => {
    const tableSpainHostSequences = $('#spain-host-sequences-table').DataTable({
      dom: `
        <".container-fluid"
          <".row my-2"
            <".mr-auto"i>
            <"#search-spain-host-sequences.mr-2"f>
          >
          <".row"t>
          <".row"
            <".mr-auto">
            <".ml-auto">
          >
        >
      `,
      buttons: [
        {
          extend: 'csv',
          text: 'Download as CSV',
          titleAttr: 'Download tables in comma-separated-values format',
          className: 'btn btn-primary',
          filename: 'cv19dpes_genomic_host_sequences_search',
        },
      ],
      processing: true,
      ordering: true,
    });

    const tableHostSequences = $('#host-sequences-table').DataTable({
      dom: `
        <".container-fluid"
          <".row my-2"
            <".mr-auto"i>
            <"#search-host-sequences.mr-2"f>
          >
          <".row"t>
          <".row"
            <".mr-auto"l>
            <".ml-auto"p>
          >
        >
      `,
      buttons: [
        {
          extend: 'csv',
          text: 'Download as CSV',
          titleAttr: 'Download tables in comma-separated-values format',
          className: 'btn btn-primary',
          filename: 'cv19dpes_genomic_host_sequences_search',
        },
      ],
      processing: true,
      ordering: true,
    });

    // When used with Bootstrap, datatables buttons must be appended to DOM to make them visible.
    //tableHostSequences.buttons().container().prependTo('#host-actions');

    // Move download button next to filter search box.
    //const downloadButtonHostSequences = document.querySelector('#host-actions .dt-buttons');
    const downloadButton = document.querySelector('#downloadButton');
    downloadButton.classList.remove('btn-group', 'flex-wrap');
    downloadButton.classList.add('d-flex');
    const searchHostSequences = document.querySelector('#search-host-sequences');
    searchHostSequences.insertAdjacentElement('afterend', downloadButton);

    const spainDownloadButton = document.querySelector('#spain-download-button');
    spainDownloadButton.classList.remove('btn-group', 'flex-wrap');
    spainDownloadButton.classList.add('d-flex');
    const searchSpainHostSequences = document.querySelector('#search-spain-host-sequences');
    searchSpainHostSequences.insertAdjacentElement('afterend', spainDownloadButton);
  });

  $('[data-toggle="collapse"]').click(function() {
    $(this).toggleClass( "active" );
    if ($(this).hasClass("active")) {
      $(this).text("Hide other studies");
      $(this).blur();
    } else {
      $(this).removeClass( "active" );
      $(this).text("Show more studies");
      $(this).blur();
    }
  });
</script>
